<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Euler.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_euler_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Euler.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_euler_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef EULER_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define EULER_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>Quaternion;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_euler.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_euler.html">Euler</a> {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classflair_1_1core_1_1_euler.html#ac7711913e4457e7bbcfdfc1d45a0f27a">Euler</a>(<span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_euler.html#ac8a4196794431adbbd706320162fc7e5">roll</a> = 0, <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860">pitch</a> = 0, <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668">yaw</a> = 0);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classflair_1_1core_1_1_euler.html#a3ccf90d1ddac3544d97ae79e86b9dc46">~Euler</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <span class="comment">// todo: passer par un quaternion</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <span class="comment">// void RotateX(float value);</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="comment">// void RotateXDeg(float value);</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="comment">// void RotateY(float value);</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="comment">// void RotateYDeg(float value);</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="comment">// void RotateZ(float value);</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <span class="comment">// void RotateZDeg(float value);</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_euler.html#ac3a3c125a0beb255ce7646748d540628">ToQuaternion</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="classflair_1_1core_1_1_euler.html#ac3a3c125a0beb255ce7646748d540628">ToQuaternion</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_euler.html#a95f5500038266a9ae4263505244220e5">ToDegree</a>(<span class="keywordtype">float</span> radianValue);</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;  <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_euler.html#a57de797815ca706d5d5eca0adc1b1ffb">ToRadian</a>(<span class="keywordtype">float</span> degreeValue);</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_euler.html#aefee0889a00c65883b6aeb3b3a7b352d">YawDistanceFrom</a>(<span class="keywordtype">float</span> angle) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div>
<div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_euler.html#ac8a4196794431adbbd706320162fc7e5">  134</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_euler.html#ac8a4196794431adbbd706320162fc7e5">roll</a>;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div>
<div class="line"><a name="l00139"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860">  139</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860">pitch</a>;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00144"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668">  144</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668">yaw</a>;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <a class="code" href="classflair_1_1core_1_1_euler.html">Euler</a> &amp;operator=(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_euler.html">Euler</a> &amp;euler);</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;};</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="preprocessor">#endif // EULER_H</span></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></div><div class="ttdoc">Class defining euler angles. </div><div class="ttdef"><b>Definition:</b> Euler.h:27</div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html_adad7b1293d5f4609e093e94eebd45860"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html#adad7b1293d5f4609e093e94eebd45860">flair::core::Euler::pitch</a></div><div class="ttdeci">float pitch</div><div class="ttdoc">pitch value </div><div class="ttdef"><b>Definition:</b> Euler.h:139</div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html_a27ddef192f8f4c5444ba5fdf63cc0668"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668">flair::core::Euler::yaw</a></div><div class="ttdeci">float yaw</div><div class="ttdoc">yaw value </div><div class="ttdef"><b>Definition:</b> Euler.h:144</div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html_ac7711913e4457e7bbcfdfc1d45a0f27a"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html#ac7711913e4457e7bbcfdfc1d45a0f27a">flair::core::Euler::Euler</a></div><div class="ttdeci">Euler(float roll=0, float pitch=0, float yaw=0)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html_a57de797815ca706d5d5eca0adc1b1ffb"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html#a57de797815ca706d5d5eca0adc1b1ffb">flair::core::Euler::ToRadian</a></div><div class="ttdeci">static float ToRadian(float degreeValue)</div><div class="ttdoc">Convert from degree to radian. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html_a3ccf90d1ddac3544d97ae79e86b9dc46"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html#a3ccf90d1ddac3544d97ae79e86b9dc46">flair::core::Euler::~Euler</a></div><div class="ttdeci">~Euler()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html_ac8a4196794431adbbd706320162fc7e5"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html#ac8a4196794431adbbd706320162fc7e5">flair::core::Euler::roll</a></div><div class="ttdeci">float roll</div><div class="ttdoc">roll value </div><div class="ttdef"><b>Definition:</b> Euler.h:134</div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html_ac3a3c125a0beb255ce7646748d540628"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html#ac3a3c125a0beb255ce7646748d540628">flair::core::Euler::ToQuaternion</a></div><div class="ttdeci">Quaternion ToQuaternion(void) const </div><div class="ttdoc">Convert to quaternion. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html_a95f5500038266a9ae4263505244220e5"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html#a95f5500038266a9ae4263505244220e5">flair::core::Euler::ToDegree</a></div><div class="ttdeci">static float ToDegree(float radianValue)</div><div class="ttdoc">Convert from radian to degree. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:26</div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html_aefee0889a00c65883b6aeb3b3a7b352d"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html#aefee0889a00c65883b6aeb3b3a7b352d">flair::core::Euler::YawDistanceFrom</a></div><div class="ttdeci">float YawDistanceFrom(float angle) const </div><div class="ttdoc">Compute yaw distance. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_euler_8h.html">Euler.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
